# $Revision: 1.25 $, $Date: 2011/09/22 16:29:30 $
Summary:	Library implementing the SSH protocol
Summary(pl.UTF-8):	Biblioteka implementująca protokół SSH
Name:		libssh
Version:	0.5.2
Release:	1
Epoch:		1
License:	LGPL v2.1+; parts are BSD-licensed
Group:		Libraries
Source0:	http://www.libssh.org/files/0.5/%{name}-%{version}.tar.gz
# Source0-md5:	38b67c48af7a9204660a3e08f97ceba6
URL:		http://www.libssh.org/
BuildRequires:	cmake >= 2.6.0
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The ssh library was designed to be used by programmers needing a
working SSH implementation by the mean of a library. The complete
control of the client is made by the programmer. With libssh, you can
remotely execute programs, transfer files, use a secure and
transparent tunnel for your remote programs. With its Secure FTP
implementation, you can play with remote files easily, without
third-party programs others than libcrypto (from openssl).

%description -l pl.UTF-8
Biblioteka ssh została zaprojektowana do używania przez programistów
potrzebujących działającej implementacji SSH w postaci biblioteki. Za
pomocą libssh można przesyłać pliki, zdalnie uruchamiać programy bądź
też tworzyć na ich potrzeby bezpieczne i przezroczyste tunele. Dzięki
zawartej implementacji protokołu Secure FTP programista ma możliwość
łatwego wykonywania operacji na zdalnych plikach bez konieczności
korzystania z dodatkowego zewnętrznego oprogramowania poza biblioteką
libcrypto (pakiet openssl).

%package devel
Summary:	Header files for libssh library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libssh
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files for libssh library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libssh.

%prep
%setup -q

%build
install -d build
cd build
%cmake .. \
	-DWITH_SSH1=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD ChangeLog README
%attr(755,root,root) %{_libdir}/libssh.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh.so.4
%attr(755,root,root) %{_libdir}/libssh_threads.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libssh_threads.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libssh.so
%attr(755,root,root) %{_libdir}/libssh_threads.so
%{_includedir}/libssh
%{_pkgconfigdir}/libssh.pc
%{_pkgconfigdir}/libssh_threads.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libssh.spec,v $
Revision 1.25  2011/09/22 16:29:30  qboosh
- updated to 0.5.2

Revision 1.24  2011/08/11 18:47:08  qboosh
- updated to 0.5.1
- enabled SSH1

Revision 1.23  2011/06/07 09:10:04  lisu
- updated to 0.5.0

Revision 1.22  2011/01/17 12:26:06  lisu
- 0.4.8

Revision 1.21  2011/01/12 09:10:39  lisu
- up to 0.4.7

Revision 1.20  2010/09/06 16:51:27  lisu
- 0.4.6

Revision 1.19  2010/07/13 11:23:47  lisu
- 0.4.5

Revision 1.18  2010/06/01 21:05:41  charles
- up to 0.4.4

Revision 1.17  2010/05/19 07:03:27  lisu
- 0.4.3

Revision 1.16  2010/04/10 19:29:44  arekm
- release 2

Revision 1.15  2010/03/16 07:45:57  lisu
- 0.4.2

Revision 1.14  2010/02/15 14:17:26  lisu
- updated to 0.4.1

Revision 1.13  2010/02/06 00:11:57  sparky
- dropped unused BR: doxygen, tetex-dvips, tetex-format-latex, tetex-makeindex

Revision 1.12  2010/02/05 12:49:30  arekm
- release 2

Revision 1.11  2010/01/08 10:24:32  arekm
- up to final 0.4.0

Revision 1.10  2009/11/17 23:09:53  shadzik
- 0.4.0 git version - almost ready
- fix BRs (WTF was that!?)
- cosmetics

Revision 1.9  2009/10/02 13:49:20  cactus
- devel files

Revision 1.8  2009/10/02 13:46:27  cactus
- up to 0.3.4
- BR: binaries - doxygen,latex,makeindex,dvips

Revision 1.7  2009/05/22 19:59:54  adamg
- updated to 0.3.0

Revision 1.6  2007/04/03 18:29:51  undefine
- doesn't compile with make -j != 1

Revision 1.5  2007/03/25 21:01:41  undefine
- up to 0.2.0
- epoch 1 (0.2 > 0.11)
- makefile patch not needed anymore

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/07/10 18:40:26  qboosh
- removed bogus intltoolize,gettextize,libtoolize,aclocal calls

Revision 1.1  2006/07/06 02:16:23  sparky
- NEW, by Jacek 'jackass' Brzozowski <metallowiec@op.pl>
- fixed for lib64
